#!/usr/bin/env python

import SpecReduceUtils
import USERDefs


import numpy as np
import math


Blue=True
if (Blue):
  foundPeaks = SpecReduceUtils.loadlist("workingdata/DBSPBlue_extractedLampPeaks.dat")
  referencePeaks = SpecReduceUtils.loadLamps(["reference/fear.dat"])
  initialCalibration=np.array(SpecReduceUtils.loadlist("workingdata/DBSPBlue_initialCalibration.dat"))
else:
  #foundPeaks = [int(i) for i in SpecReduceUtils.loadlist("workingdata/DBSPRed_extractedLampPeaks.dat")]
  foundPeaks = SpecReduceUtils.loadlist("workingdata/DBSPRed_extractedLampPeaks.dat")
  referencePeaks = SpecReduceUtils.loadLamps(["reference/henear.dat"])
  initialCalibration=np.array(SpecReduceUtils.loadlist("workingdata/DBSPRed_initialCalibration.dat"))



print "initial foundPeaks:",repr(foundPeaks)

initialPairs = SpecReduceUtils.calibrateWavelength(foundPeaks,referencePeaks,initialCalibration)
print "result of correlation calibration:",initialPairs
